Bug 1297179 - PHP crashes with [core:notice] [pid 3864] AH00052: child pid 95199 exit signal Segmentation fault (11)
PHP crashes with [core:notice] [pid 3864] AH00052: child pid 95199 exit signa...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: php (Show other bugs)
7.2
All Linux
urgent Severity high
: rc
: ---
Assigned To: Web Stack Team
David Kutálek
: ZStream
Depends On:
Blocks: 1203710 1323643
  Show dependency treegraph
 
Reported: 2016-01-10 05:21 EST by Hansjoerg Maurer
Modified: 2016-11-03 17:04 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1323643 (view as bug list)
Environment:
Last Closed: 2016-11-03 17:04:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hansjoerg Maurer 2016-01-10 05:21:35 EST
Description of problem:

We have a RHEL7.2 System running with a zarafa mailserver
After some days the webserver shows the following errors and zarafa webmail shows errors
[Thu Jan 07 19:03:37.083671 2016] [core:notice] [pid 3864] AH00052: child pid 95202 exit signal Segmentation fault (11)
[Thu Jan 07 19:03:38.087174 2016] [core:notice] [pid 3864] AH00052: child pid 95199 exit signal Segmentation fault (11)
[Thu Jan 07 19:03:40.089149 2016] [core:notice] [pid 3864] AH00052: child pid 95204 exit signal Segmentation fault (11)
[Thu Jan 07 19:03:41.091406 2016] [core:notice] [pid 3864] AH00052: child pid 95211 exit signal Segmentation fault (11)

A restart of the webserver solves the problem


Version-Release number of selected component (if applicable):
php-5.4.16-36.el7_1.x86_64


How reproducible:
Install 
php-5.4.16-36.el7_1.x86_64
zarafa-server-7.2.1.51838-319.2.x86_64

Steps to Reproduce:
1. Install zarafa
2. use webapp about 2 weeks
3. try to upload attachments -> DOES NOT WORK
4. the errors above occur

Actual results:


Expected results:


Additional info:

According to zarafa the problem is related to the following php-Bug
https://bugs.php.net/bug.php?id=62129
which is fixed upstream in 5.4.20
http://php.net/ChangeLog-5.php


Here you can find the related zarafa issue
https://jira.zarafa.com/browse/WA-8975

The related diff between 5.4.19 and 5.4.20 is
diff php-5.4.19/ext/session/session.c php-5.4.20/ext/session/session.c
...
2249,2250c2249,2253
<       /* restore the orig callback */
<       php_rfc1867_callback = php_session_rfc1867_orig_callback;
---
>       /* reset rfc1867 callbacks */
>       php_session_rfc1867_orig_callback = NULL;
>       if (php_rfc1867_callback == php_session_rfc1867_callback) {
>               php_rfc1867_callback = NULL;
>       }

 
Can you backport the fix?

Regards

Hansjoerg Maurer
Comment 3 john.haxby@oracle.com 2016-03-08 05:21:56 EST
It should be obvious, but that patch doesn't apply directly.   The two lines that are replaced don't actually exist because they were added by 336a8e1943af.

Apparently the patch does fix this problem though.
Comment 4 Patrick 2016-03-18 09:36:10 EDT
I'm having the same problems.
The apache server is "crashing after a few days due the PHP
Comment 5 Joe Orton 2016-03-18 09:50:46 EDT
The issue referenced above looks specific to PHP 5.4, the relevant ext/session code handling progress callbacks doesn't appear in 5.3.  Anybody hitting server crashes in production, please contact Red Hat support who can help you identify a root cause for this.
Comment 6 Joe Orton 2016-03-18 09:51:53 EDT
Ugh, apologies, I'm reading too many bugs at once.  This is a RHEL7 bug... ignore comment 5.
Comment 7 john.haxby@oracle.com 2016-03-18 10:04:28 EDT
I can confirm that the suggested patch does indeed fix exactly this problem, fwiw.
Comment 8 Patrick 2016-03-18 11:21:03 EDT
how do you apply this patch ?
Can somebody help with this.
Comment 9 Joe Orton 2016-03-18 11:23:00 EDT
Thanks John.

Patrick, my advice above definitely applies: if you need help with a production deployment of RHEL please contact Red Hat support and reference this bug, we can get you test packages as necessary.
Comment 10 Patrick 2016-03-18 11:44:08 EDT
Hello Joe,

Since i running a Clearos Server, i've posted this bugreport on the ClearOS forum. 
Maybe the developers from ClearOS can help.
Comment 11 Robert Scheck 2016-03-29 09:30:56 EDT
Cross-filed case 01608198 on the Red Hat customer portal.

Confirming hereby that the commit from comment #2 fixes this issue.
Comment 20 errata-xmlrpc 2016-11-03 17:04:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2598.html

Note You need to log in before you can comment on or make changes to this bug.